//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules


void main(void)
{
	M8C_EnableGInt ; // Uncomment this line to enable Global Interrupts
	// Insert your main routine code here.
	
	//setup and start Timer16
	Timer16_1_WritePeriod(1500);
	Timer16_1_EnableInt();
	Timer16_1_Start();
	
	//idle
	while(1)
		;
}

#pragma interrupt_timer Timer16Interrupt
void Timer16Interrupt(void)
{
	unsigned static int State;
	
	if (State == 0)
	{
		PRT0DR |= 0x04;			//set Port0_2 pin high
		State = 1;
	}
	else
	{
		PRT0DR &= ~0x04;		//clear Port0_2 pin low
		State = 0;
	}
}